> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Section

> Update the name of a section.     
This endpoint endpoint let's you update an existing section. Only Group Managers and above can use this endpoint. Business Managers are restricted from accessing this endpoint. For more information about the group system, see [the Groups and Sections description](/guides/api/resources/organizations/groups).




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /sections/{section_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /sections/{section_id}:
    post:
      tags:
        - Groups and Sections
      summary: Update Section
      description: >
        Update the name of a section.     

        This endpoint endpoint let's you update an existing section. Only Group
        Managers and above can use this endpoint. Business Managers are
        restricted from accessing this endpoint. For more information about the
        group system, see [the Groups and Sections
        description](/guides/api/resources/organizations/groups).
      operationId: updateGroupSection
      parameters:
        - $ref: '#/components/parameters/path_section_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: Request body to update a section
              type: object
              required:
                - name
              properties:
                name:
                  $ref: '#/components/schemas/SectionName'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SectionUpdateSuccessResponse'
        '400':
          description: Section name already exists
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SectionCreateNameConflictResponse'
                  - $ref: >-
                      #/components/schemas/SectionCreateForbiddenCharactersResponse
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_section_id:
      in: path
      name: section_id
      required: true
      schema:
        type: integer
      description: Section ID
  schemas:
    SectionName:
      description: >-
        Name of the section. Cannot include any of the following characters:
        `,;/`
      type: string
      example: Country
    SectionUpdateSuccessResponse:
      type: object
      properties:
        status:
          description: Request status
          type: string
          enum:
            - success
        id:
          description: ID of the updated section
          type: integer
          example: 1
    SectionCreateNameConflictResponse:
      type: object
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                name:
                  type: string
                  example: name_already_exists
    SectionCreateForbiddenCharactersResponse:
      type: object
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                name:
                  type: string
                  example: name_contains_forbidden_characters
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````